Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class ProjectionEvent

    java.lang.Object
      java.util.EventObject
          com.bbn.openmap.event.ProjectionEvent

All Implemented Interfaces:
  java.io.Serializable

public class ProjectionEvent
extends java.util.EventObject

An event with an updated MapBean projection.

See Also:
  Serialized Form

Field Summary
`protected Projection` | `projection`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ProjectionEvent(java.lang.Object source, Projection aProj)` Construct a ProjectionEvent.

Method Summary
`Projection` | `getProjection()` Get the Projection.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### projection

    protected Projection projection

Constructor Detail

### ProjectionEvent

    public ProjectionEvent(java.lang.Object source,
                           Projection aProj)

  Construct a ProjectionEvent.

Parameters:
  `source` - Object
  `aProj` - Projection

Method Detail

### getProjection

    public Projection getProjection()

  Get the Projection.

  Returns:
    Projection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details